CVE-2018-1000035

Impact:
Low
Public Date:
2018-02-07
CWE:
CWE-122
Bugzilla:
1537043: CVE-2018-1000035 unzip: Heap-based buffer overflow in fileio.c:UzpPassword function allows code execution

The MITRE CVE dictionary describes this issue as:

A heap-based buffer overflow exists in Info-Zip UnZip version <= 6.00 in the processing of password-protected archives that allows an attacker to perform a denial of service or to possibly achieve code execution.

Find out more about CVE-2018-1000035 from the MITRE CVE dictionary dictionary and NIST NVD.

Statement

This issue affects the versions of unzip as shipped with Red Hat Enterprise Linux 5, 6 and 7. Red Hat Product Security has rated this issue as having Low security impact. A future update may address this issue. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

CVSS v3 metrics

NOTE: The following CVSS v3 metrics and score provided are preliminary and subject to review.

CVSS3 Base Score 7
CVSS3 Base Metrics CVSS:3.0/AV:L/AC:H/PR:N/UI:R/S:U/C:H/I:H/A:H
Attack Vector Local
Attack Complexity High
Privileges Required None
User Interaction Required
Scope Unchanged
Confidentiality High
Integrity Impact High
Availability Impact High

Affected Packages State

Platform Package State
Red Hat Enterprise Linux 8 unzip Not affected
Red Hat Enterprise Linux 7 unzip Will not fix
Red Hat Enterprise Linux 6 unzip Will not fix
Red Hat Enterprise Linux 5 unzip Will not fix

Acknowledgements

Red Hat would like to thank R. Freingruber (SEC Consult Vulnerability Lab) for reporting this issue.

External References

Last Modified

CVE description copyright © 2017, The MITRE Corporation